

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">

  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <title>Asymmetric Key Services TISCI Description &mdash; TISCI User Guide</title>




    <link rel="shortcut icon" href="../../_static/favicon.ico"/>












    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />



    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />



        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 2: TISCI Message Documentation" href="../index.html"/>
        <link rel="next" title="Chapter 3: Board Configuration" href="../../3_boardcfg/index.html"/>
        <link rel="prev" title="Runtime Keystore TISCI Description" href="keystore.html"/>


  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">


    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">



            <a href="../../index.html" class="icon icon-home"> TISCI



          </a>




              <div class="version">
                19.07.00
              </div>




<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>


        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">



                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 2: TISCI Message Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#general">General</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#power-management-pm">Power Management (PM)</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#resource-management-rm">Resource Management (RM)</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#secure-management">Secure Management</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="sec_cert_format.html">Security X509 Certificate Documentation</a></li>
<li class="toctree-l3"><a class="reference internal" href="PROC_BOOT.html">Processor Boot Management TISCI Description</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewall_api.html">Firewall TISCI Description</a></li>
<li class="toctree-l3"><a class="reference internal" href="sec_ap_data_transfer.html">Secure AP Command Interface</a></li>
<li class="toctree-l3"><a class="reference internal" href="rng_api.html">Random Number Generator API</a></li>
<li class="toctree-l3"><a class="reference internal" href="keystore.html">Runtime Keystore TISCI Description</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">Asymmetric Key Services TISCI Description</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>



        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">


      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>



      <div class="wy-nav-content">
        <div class="rst-content">






<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>

          <li><a href="../index.html">Chapter 2: TISCI Message Documentation</a> &raquo;</li>

    <li>Asymmetric Key Services TISCI Description</li>
      <li class="wy-breadcrumbs-aside">



      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">

  <div class="section" id="asymmetric-key-services-tisci-description">
<h1>Asymmetric Key Services TISCI Description<a class="headerlink" href="#asymmetric-key-services-tisci-description" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<span id="sec-asym-key-services-tisci-desc"></span><h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This section describes the APIs availailable which provide asymmetric key
services in System Firmware.</p>
<table border="1" class="docutils">
<colgroup>
<col width="22%" />
<col width="78%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">TISCI Message ID</th>
<th class="head">Message Name</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>0x9010</td>
<td><a class="reference internal" href="#pka-rsa-sign"><span class="std std-ref">TISCI_MSG_SA2UL_PKA_RSA_SIGN_PRIM</span></a></td>
</tr>
<tr class="row-odd"><td>0x9011</td>
<td><a class="reference internal" href="#pka-rsa-verify"><span class="std std-ref">TISCI_MSG_SA2UL_PKA_RSA_VERIFY_PRIM</span></a></td>
</tr>
<tr class="row-even"><td>0x9012</td>
<td><a class="reference internal" href="#pka-rsa-encrypt"><span class="std std-ref">TISCI_MSG_SA2UL_PKA_RSA_ENCRYPT_PRIM</span></a></td>
</tr>
<tr class="row-odd"><td>0x9013</td>
<td><a class="reference internal" href="#pka-rsa-decrypt"><span class="std std-ref">TISCI_MSG_SA2UL_PKA_RSA_DECRYPT_PRIM</span></a></td>
</tr>
<tr class="row-even"><td>0x9014</td>
<td><a class="reference internal" href="#pka-ecdsa-sign"><span class="std std-ref">TISCI_MSG_SA2UL_PKA_ECDSA_SIGN</span></a></td>
</tr>
<tr class="row-odd"><td>0x9015</td>
<td><a class="reference internal" href="#pka-ecdsa-verify"><span class="std std-ref">TISCI_MSG_SA2UL_PKA_ECDSA_VERIFY</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="tisci-msg-sa2ul-pka-rsa-sign-prim-perform-rsa-sign-primitive-rsasp1">
<span id="pka-rsa-sign"></span><h3>TISCI_MSG_SA2UL_PKA_RSA_SIGN_PRIM - Perform RSA Sign Primitive (RSASP1)<a class="headerlink" href="#tisci-msg-sa2ul-pka-rsa-sign-prim-perform-rsa-sign-primitive-rsasp1" title="Permalink to this headline">¶</a></h3>
<div class="section" id="usage">
<h4>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Secure</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>Yes</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="tisci-message-id">
<h4>TISCI Message ID<a class="headerlink" href="#tisci-message-id" title="Permalink to this headline">¶</a></h4>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_SA2UL_PKA_RSA_SIGN_PRIM</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9010U)</span></code></p>
<p>Message to perform the RSA signature primitive</p>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_rsa_sign_prim_req</strong></p>
<p>Request to perform RSA signature primitive (RSASP1)</p>
<table border="1" class="docutils">
<colgroup>
<col width="11%" />
<col width="17%" />
<col width="72%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header</td>
</tr>
<tr class="row-odd"><td>key_index</td>
<td>u8</td>
<td>Index in keystore to access the private key for performing the signature primitive</td>
</tr>
<tr class="row-even"><td>data_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the plaintext data to sign</td>
</tr>
<tr class="row-odd"><td>data_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the plaintext data to sign</td>
</tr>
<tr class="row-even"><td>signature_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location where the signature will be placed upon successful completion</td>
</tr>
<tr class="row-odd"><td>signature_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location where the signature will be placed upon successful completion</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_rsa_sign_prim_resp</strong></p>
<p>Response to the RSA sign primitive request</p>
<table border="1" class="docutils">
<colgroup>
<col width="5%" />
<col width="7%" />
<col width="88%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header. ACK response indicates that the signature was successful and contents were placed into the memory location provided by the host during the request. NACK response indicates that the signature was not able to be completed.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-sa2ul-pka-rsa-verify-prim-perform-rsa-verify-primitive-rsavp1">
<span id="pka-rsa-verify"></span><h3>TISCI_MSG_SA2UL_PKA_RSA_VERIFY_PRIM - Perform RSA Verify Primitive (RSAVP1)<a class="headerlink" href="#tisci-msg-sa2ul-pka-rsa-verify-prim-perform-rsa-verify-primitive-rsavp1" title="Permalink to this headline">¶</a></h3>
<div class="section" id="id1">
<h4>Usage<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Secure</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>Yes</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id2">
<h4>TISCI Message ID<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h4>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_SA2UL_PKA_RSA_VERIFY_PRIM</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9011U)</span></code></p>
<p>Message to perform the RSA verification primitive</p>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_rsa_verify_prim_req</strong></p>
<p>Request to perform RSA verification primitive (RSAVP1)</p>
<table border="1" class="docutils">
<colgroup>
<col width="11%" />
<col width="16%" />
<col width="73%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header</td>
</tr>
<tr class="row-odd"><td>key_index</td>
<td>u8</td>
<td>Index in keystore to access the public key for performing the verification primitive</td>
</tr>
<tr class="row-even"><td>signature_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the signature</td>
</tr>
<tr class="row-odd"><td>signature_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the signature</td>
</tr>
<tr class="row-even"><td>data_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location where the plaintext data will be placed upon successful completion</td>
</tr>
<tr class="row-odd"><td>data_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location where the plaintext data will be placed upon successful completion</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_rsa_verify_prim_resp</strong></p>
<p>Response to the RSA verify primitive request</p>
<table border="1" class="docutils">
<colgroup>
<col width="4%" />
<col width="7%" />
<col width="88%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header. ACK response indicates that the verification was successful and contents were placed into the memory location provided by the host during the request. NACK response indicates that the verification was not able to be completed.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-sa2ul-pka-rsa-encrypt-prim-perform-rsa-encrypt-primitive-rsaep">
<span id="pka-rsa-encrypt"></span><h3>TISCI_MSG_SA2UL_PKA_RSA_ENCRYPT_PRIM - Perform RSA Encrypt Primitive (RSAEP)<a class="headerlink" href="#tisci-msg-sa2ul-pka-rsa-encrypt-prim-perform-rsa-encrypt-primitive-rsaep" title="Permalink to this headline">¶</a></h3>
<div class="section" id="id3">
<h4>Usage<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Secure</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>Yes</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id4">
<h4>TISCI Message ID<a class="headerlink" href="#id4" title="Permalink to this headline">¶</a></h4>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_SA2UL_PKA_RSA_ENCRYPT_PRIM</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9012U)</span></code></p>
<p>Message to perform the RSA encryption primitive</p>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_rsa_encrypt_prim_req</strong></p>
<p>Request to perform RSA Encryption Primitive (RSAEP)</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="16%" />
<col width="74%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header</td>
</tr>
<tr class="row-odd"><td>key_index</td>
<td>u8</td>
<td>Index in keystore to access the public key for performing the encryption primitive</td>
</tr>
<tr class="row-even"><td>data_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the plaintext data</td>
</tr>
<tr class="row-odd"><td>data_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the plaintext data</td>
</tr>
<tr class="row-even"><td>cipher_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location where the ciphertext data will be placed upon successful completion</td>
</tr>
<tr class="row-odd"><td>cipher_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location where the ciphertext data will be placed upon successful completion</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_rsa_encrypt_prim_resp</strong></p>
<p>Response to the RSA encrypt primitive request</p>
<table border="1" class="docutils">
<colgroup>
<col width="5%" />
<col width="7%" />
<col width="88%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header. ACK response indicates that the encryption was successful and contents were placed into the memory location provided by the host during the request. NACK response indicates that the encryption was not able to be completed.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-sa2ul-pka-rsa-decrypt-prim-perform-rsa-decrypt-primitive-rsadp">
<span id="pka-rsa-decrypt"></span><h3>TISCI_MSG_SA2UL_PKA_RSA_DECRYPT_PRIM - Perform RSA Decrypt Primitive (RSADP)<a class="headerlink" href="#tisci-msg-sa2ul-pka-rsa-decrypt-prim-perform-rsa-decrypt-primitive-rsadp" title="Permalink to this headline">¶</a></h3>
<div class="section" id="id5">
<h4>Usage<a class="headerlink" href="#id5" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Secure</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>Yes</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id6">
<h4>TISCI Message ID<a class="headerlink" href="#id6" title="Permalink to this headline">¶</a></h4>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_SA2UL_PKA_RSA_DECRYPT_PRIM</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9013U)</span></code></p>
<p>Message to perform the RSA decryption primitive</p>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_rsa_decrypt_prim_req</strong></p>
<p>Request to perform RSA Decryption Primitive (RSADP)</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="16%" />
<col width="74%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header</td>
</tr>
<tr class="row-odd"><td>key_index</td>
<td>u8</td>
<td>Index in keystore to access the private key for performing the decryption primitive</td>
</tr>
<tr class="row-even"><td>cipher_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the ciphertext data</td>
</tr>
<tr class="row-odd"><td>cipher_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the ciphertext data</td>
</tr>
<tr class="row-even"><td>data_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location where the plaintext data will be placed upon successful completion</td>
</tr>
<tr class="row-odd"><td>data_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location where the plaintext data will be placed upon successful completion</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_rsa_decrypt_prim_resp</strong></p>
<p>Response to the RSA decrypt primitive request</p>
<table border="1" class="docutils">
<colgroup>
<col width="5%" />
<col width="7%" />
<col width="88%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header. ACK response indicates that the decryption was successful and contents were placed into the memory location provided by the host during the request. NACK response indicates that the decryption was not able to be completed.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-sa2ul-pka-ecdsa-sign-sign-a-message">
<span id="pka-ecdsa-sign"></span><h3>TISCI_MSG_SA2UL_PKA_ECDSA_SIGN - Sign a message<a class="headerlink" href="#tisci-msg-sa2ul-pka-ecdsa-sign-sign-a-message" title="Permalink to this headline">¶</a></h3>
<div class="section" id="id7">
<h4>Usage<a class="headerlink" href="#id7" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Secure</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>Yes</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id8">
<h4>TISCI Message ID<a class="headerlink" href="#id8" title="Permalink to this headline">¶</a></h4>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_SA2UL_PKA_ECDSA_SIGN</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9014U)</span></code></p>
<p>Message to sign a message hash with an EC private key</p>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_ecdsa_sign_req</strong></p>
<p>Request to perform ECDSA signature</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="13%" />
<col width="78%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header</td>
</tr>
<tr class="row-odd"><td>key_index</td>
<td>u8</td>
<td>Index in keystore to access the private key for performing the signature</td>
</tr>
<tr class="row-even"><td>input_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the hashed message</td>
</tr>
<tr class="row-odd"><td>input_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the hashed message</td>
</tr>
<tr class="row-even"><td>signature_r_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location where the r component of the signature pair S = (r, s) will be placed upon successful completion</td>
</tr>
<tr class="row-odd"><td>signature_r_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the r component of the the signature pair S = (r, s) will be placed upon successful completion</td>
</tr>
<tr class="row-even"><td>signature_s_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the s component of the the signature pair S = (r, s) will be placed upon successful completion</td>
</tr>
<tr class="row-odd"><td>signature_s_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the s component of the the signature pair S = (r, s) will be placed upon successful completion</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_ecdsa_sign_resp</strong></p>
<p>Response to the ECDSA signature request</p>
<table border="1" class="docutils">
<colgroup>
<col width="5%" />
<col width="7%" />
<col width="88%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header. ACK response indicates that the signature was successful and contents were placed into the memory locations provided by the host during the request. NACK response indicates that the signature was not able to be completed.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-sa2ul-pka-ecdsa-verify-verify-a-signature">
<span id="pka-ecdsa-verify"></span><h3>TISCI_MSG_SA2UL_PKA_ECDSA_VERIFY - Verify a signature<a class="headerlink" href="#tisci-msg-sa2ul-pka-ecdsa-verify-verify-a-signature" title="Permalink to this headline">¶</a></h3>
<div class="section" id="id9">
<h4>Usage<a class="headerlink" href="#id9" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Secure</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>Yes</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id10">
<h4>TISCI Message ID<a class="headerlink" href="#id10" title="Permalink to this headline">¶</a></h4>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_SA2UL_PKA_ECDSA_VERIFY</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x9015U)</span></code></p>
<p>Message to verify an EC signature</p>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_ecdsa_verify_req</strong></p>
<p>Request to perform ECDSA verification</p>
<table border="1" class="docutils">
<colgroup>
<col width="13%" />
<col width="18%" />
<col width="69%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Common TI-SCI header</td>
</tr>
<tr class="row-odd"><td>key_index</td>
<td>u8</td>
<td>Index in keystore to access the public key for performing the verification</td>
</tr>
<tr class="row-even"><td>input_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the hashed message</td>
</tr>
<tr class="row-odd"><td>input_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the hashed message</td>
</tr>
<tr class="row-even"><td>signature_r_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the r component of the signature pair S = (r, s)</td>
</tr>
<tr class="row-odd"><td>signature_r_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the r component of the signature pair S = (r, s)</td>
</tr>
<tr class="row-even"><td>signature_s_lo</td>
<td>u32</td>
<td>Lower 32-bit memory location of the s component of the signature pair S = (r, s)</td>
</tr>
<tr class="row-odd"><td>signature_s_hi</td>
<td>u32</td>
<td>Upper 32-bit memory location of the s component of the signature pair S = (r, s)</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_sa2ul_pka_ecdsa_verify_resp</strong></p>
<p>Response to the ECDSA verification request</p>
<table border="1" class="docutils">
<colgroup>
<col width="7%" />
<col width="11%" />
<col width="82%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Generic TISCI message header. ACK response indicates that the verification was successful. NACK response indicates that the verfication was not successful.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
</div>
</div>


           </div>
          </div>
          <footer>

    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">

        <a href="../../3_boardcfg/index.html" class="btn btn-neutral float-right" title="Chapter 3: Board Configuration" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>


        <a href="keystore.html" class="btn btn-neutral" title="Runtime Keystore TISCI Description" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>

    </div>


  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2019</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div>

</footer>

        </div>
      </div>

    </section>

  </div>





    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'19.07.00',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>





    <script type="text/javascript" src="../../_static/js/theme.js"></script>




  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>


</body>
</html>